# ICommandSource

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (3.0.0.0)

Defines an object that can invoke a [Command](#command).

{% tabs %}
{% tab title="C#" %}

```csharp
public interface ICommandSource
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Interface ICommandSource
```

{% endtab %}
{% endtabs %}

## Properties

### ![](/files/uCY6T77rh488FWHzpJ6P)Command

[ICommand](/api/v3.0/wisej.web/interfaces/wisej.web.icommand.md): The command to execute.

## Events

### ![](/files/uCY6T77rh488FWHzpJ6P)CommandChanged

[EventHandler](https://docs.microsoft.com/en-us/dotnet/api/system.eventhandler) Fired when the [Command](#command) property changes.

## Implemented By

| Name                                                                | Description                        |
| ------------------------------------------------------------------- | ---------------------------------- |
| [Button](/api/v3.0/wisej.web/buttons/button.md)                     | Represents a button control.       |
| [SplitButton](/api/v3.0/wisej.web/buttons/wisej.web.splitbutton.md) | Represents a split button control. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/v3.0/wisej.web/interfaces/wisej.web.icommandsource.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
